Create an A6 postcard from an image
A PNG, JPEG or WebP image measuring 1240 × 1748 px (portrait) or 1748 × 1240 px (landscape). Orientation is detected automatically. Returns the saved insert and its `id`, to use as `insert_id` when ordering.
Published by FRED
A PNG, JPEG or WebP image measuring 1240 × 1748 px (portrait) or 1748 × 1240 px (landscape). Orientation is detected automatically. Returns the saved insert and its id, to use as insert_id when ordering.
Authorization
ApiKeyAuth X-API-Key<token>
Key created in the dashboard, to be kept on your server.
In: header
Path Parameters
brand_id*Brand Id
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/brands/string/inserts/upload" \ -F name="string" \ -F file="string"{ "design": { "version": 1, "template": "string", "orientation": "landscape", "background": "string", "accent": "string", "pattern": "checker", "layers": [ { "id": "string", "type": "image", "x": 0, "y": 0, "width": 1, "height": 1, "rotation": 0, "color": "#222222", "text": "", "font": "bold", "font_size": 80, "align": "center", "shape": "circle", "file_id": "string" } ] }, "id": "string", "object": "insert", "brand_id": "string", "name": "string", "kind": "string", "artwork_file_id": "string", "artwork_url": "string", "width_mm": 0, "height_mm": 0, "notes": "string", "version": 0, "lineage_id": "string", "active": true, "created_at": "string", "specification": {}}